#
# spec file for package deltarpm (Version 3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           deltarpm
BuildRequires:  rpm-devel
URL:            ftp://ftp.suse.com/pub/projects/deltarpm
License:        BSD
Group:          System/Packages
Autoreqprov:    on
Version:        3.3
Release:        12.2
Summary:        Tools to Create and Apply deltarpms
Source:         deltarpm-3.3.tar.bz2
Patch:          patch.sles8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains tools to create and apply deltarpms. A deltarpm
contains the difference between an old and a new version of an RPM,
which makes it possible to recreate the new RPM from the deltarpm and
the old one. You do not need to have a copy of the old RPM, because
deltarpms can also work with installed RPMs.



Authors:
--------
    Michael Schrder <mls@suse.de>

%debug_package
%prep
%setup
%if %suse_version < 900
%patch
%endif

%build
make CFLAGS="$RPM_OPT_FLAGS" prefix="%{_prefix}" rpmdumpheader="/usr/lib/rpm/rpmdumpheader"

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/rpm
make DESTDIR=$RPM_BUILD_ROOT prefix="%{_prefix}" mandir="%{_mandir}" rpmdumpheader="/usr/lib/rpm/rpmdumpheader" install

%files
%defattr(-,root,root)
%doc README LICENSE.BSD
%{_bindir}/*
%{_mandir}/man8/*
%if %suse_version >= 900
/usr/lib/rpm/rpmdumpheader
%endif

%changelog -n deltarpm
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 11 2005 - mls@suse.de
- update to deltarpm-3.3 [#121866]
* Mon Sep 05 2005 - mls@suse.de
- update to deltarpm-3.2
* Mon Aug 22 2005 - mls@suse.de
- update to deltarpm-3.1
* Thu Aug 18 2005 - cthiel@suse.de
- use $RPM_OPT_FLAGS
* Wed Aug 10 2005 - mls@suse.de
- update to final deltarpm-3.0
* Thu Jun 30 2005 - mls@suse.de
- update to deltarpm-3.0-beta3
* Wed Mar 16 2005 - mls@suse.de
- update to deltarpm-2.2
* Wed Feb 16 2005 - mls@suse.de
- update to deltarpm-2.1
* Thu Feb 03 2005 - mls@suse.de
- update to deltarpm-2.0
* Fri Sep 24 2004 - mls@suse.de
- always flush stdout when printing percent data
* Mon Sep 20 2004 - mls@suse.de
- fix bad calloc call
* Fri Sep 10 2004 - mls@suse.de
- initial version
